## bogofilter 1.2.2

=== debian/changelog ===
bogofilter (1.2.2-2ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #668031). Remaining changes:
    - Drop build dependency on libtokyocabinet-dev (universe).

 -- Angel Abad <angelabad@ubuntu.com>  Thu, 28 Oct 2010 22:11:24 +0200

bogofilter (1.2.2-2) unstable; urgency=high

  * Add debian/bogofilter-{bdb,sqlite,tokyocabinet}.preinst to remove
    /usr/share/doc/bogofilter-{bdb,sqlite,tokyocabinet} if they exist and are
    symlinks, which was the case back in 1.1.7-2. Setting urgency=high.
    closes: #600489.
  * Update standards version (no changes).

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 18 Oct 2010 20:51:27 +0200

bogofilter (1.2.2-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable (lp: #604241). Remaining changes:
    - Drop build dependency on libtokyocabinet-dev (universe).

 -- Michael Bienia <geser@ubuntu.com>  Sun, 11 Jul 2010 12:31:20 +0200

bogofilter (1.2.2-1) unstable; urgency=low

  * New Upstream Version (fixes CVE-2010-2494, aka bogofilter-SA-2010-01, so
    drop debian/patches/prevent-memory-corruption-in-base64_decode.diff)

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 09 Jul 2010 19:25:51 +0200

bogofilter (1.2.1-3) unstable; urgency=high

  * Apply patch from Julius Plenz <plenz@cis.fu-berlin.de> to prevent possible
    heap corruption due to a bug in the base64_decode function (see
    bogofilter-SA-2010-01). Setting urgency=high. closes: #588090.
  * Do not hardwire the optimisation level for s390. closes: 582882.
  * Apply patch from Loïc Minier <lool@dooz.org> to not build
    bogofilter-tokyocabinet for Ubuntu (and Ubuntu-derived) distributions.
    closes: #581995.
  * Force autoconf to use bash. closes: #583311.
  * debian/bogofilter-common.NEWS: fix debian-news-entry-without-blank-line
  * debian/control:Maintainer: set to my debian email address.
  * Bump Standards-Version to 3.9.0 (no changes).

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 06 Jul 2010 00:21:16 +0200

bogofilter (1.2.1-2ubuntu1) maverick; urgency=low

  * Merge with Debian; remaining changes:
    - Don't build tokyocabinet; drop build-dep.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 14 May 2010 16:33:55 +0200

bogofilter (1.2.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4 (no changes).
  * Convert to dpkg-source 3.0 (quilt) format
  * Add Depends: ${misc:Depends} for all binary packages
  * bogofilter-common:
      - actually install upstream docs, which was not the case since the
        convertion to dh
      - register upstream docs with doc-base and add Suggests: doc-base
      - rename NEWS files so that they're actually picked up by dh
      - remove entry about dropping qdbm backend from NEWS file (which was
        not shipped anyway, due to the issue above)
  * bdb backend:
      - build with libdb4.8 and update Suggests to db4.8-util
      - add NEWS.Debian entry to advise users that have enabled bdb
        transactions, on upgrade steps
      - correct db-util version in NEWS.Debian for bogofilter-bdb 1.2.0-2

 -- Serafeim Zanikolas <serzan@hellug.gr>  Sun, 14 Feb 2010 11:48:55 +0100

bogofilter (1.2.1-1) unstable; urgency=low

  * New Upstream Version
  * Bump Standards-Version to 3.8.2 (no changes).
  * Switch debian/rules to debhelper and improve error handling.
  * Skip tests when DEB_BUILD_OPTIONS contains nocheck.
  * Remove revision part of libdb-dev in Build-Depends to ease backporting
    (fixes build-depends-on-1-revision lintian warning).
  * Make the dummy package bogofilter depend on bogofilter-common and remove
    lintian override.
  * Patch bf_tar to use tar instead of pax given the higher priority of the
    former, and drop "Suggests: pax". closes: #341973.
  * Add Build-Depends on quilt.
  * Copy upstream bogofilter.cf.example to
    /usr/share/doc/bogofilter/examples/bogofilter.cf.example. closes: #266552
  * Reduce priority of bogofilter-tokyocabinet to extra, to align with the
    priority of its dependency libtokyocabinet8. Ditto for bogofilter-sqlite
    for consistency, as they are both alternative backends. closes: #539561.
  * Use a single changelog file for all binary packages.
  * Drop bogofilter-qdbm and announce so in bogofilter-common's NEWS.Debian

 -- Serafeim Zanikolas <serzan@hellug.gr>  Sun, 02 Aug 2009 22:57:31 +0200

bogofilter (1.2.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release; LP: #557468.
    - Fixes parsing of the first line of the body in MIME messages;
      LP: #320829.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 10 Apr 2010 11:08:53 +0200

bogofilter (1.2.0-3ubuntu2) lucid; urgency=low

  * Compute md5sums for bogofilter
  * Cleanup debian/tmp and debian/bogofilter-sqlite
  * Honor nocheck in DEB_BUILD_OPTIONS

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 11 Jan 2010 23:59:07 +0100

bogofilter (1.2.0-3ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - don't build qdbm.
    - Don't build tokyocabinet support as it's in universe.

 -- Muharem Hrnjadovic <muharem@ubuntu.com>  Fri, 05 Jun 2009 11:31:55 +0200

bogofilter (1.2.0-3) unstable; urgency=low

  * New maintainer.  closes: #524743.
  * Maintain a separate Debian changelog for every binary package.
    closes: #524191.
  * Allow the system administrator to choose a db backend, other than the
    default bdb, using update-alternatives.  closes: #315318.
  * Add symbolic links so that manpages are accessible regardless of the db
    backend in use.  closes: #437718.
  * Make executable
    /usr/share/doc/bogofilter-common/examples/contrib/bogominitrain.pl
    closes: #281892.
  * Add lintian override for false lintian error message.
  * Update binary package descriptions and remove duplicate Section: fields in
    debian/control.

 -- Serafeim Zanikolas <serzan@hellug.gr>  Wed, 06 May 2009 21:03:34 +0200

bogofilter (1.2.0-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #372497
    - don't build qdbm.

