=== debian/control ===
Source: bogofilter
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Serafeim Zanikolas <sez@debian.org>
Build-Depends: debhelper (>= 7), libdb-dev (>= 4.6.19), libgsl0-dev, libsqlite3-dev
Standards-Version: 3.9.1

Package: bogofilter
Architecture: any
Depends: ${misc:Depends}, bogofilter-common, bogofilter-bdb | bogofilter-db
Description: a fast Bayesian spam filter (dummy package)
 This package implements a fast Bayesian spam filter along the lines suggested
 by Paul Graham in his article "A Plan For Spam".
 .
 This version substantially improves on Paul's proposal by doing smarter
 lexical analysis.  In particular, hostnames and IP addresses are retained
 as recognition features rather than broken up. Various kinds of MTA
 cruft such as dates and message-IDs are discarded so as not to bloat
 the word lists.

Package: bogofilter-bdb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
Suggests: db4.8-util
Provides: bogofilter-db
Replaces: bogofilter (<< 0.94.14-1)
Description: a fast Bayesian spam filter (Berkeley DB)
 This package implements a fast Bayesian spam filter along the lines suggested
 by Paul Graham in his article "A Plan For Spam".
 .
 This version substantially improves on Paul's proposal by doing smarter
 lexical analysis.  In particular, hostnames and IP addresses are retained
 as recognition features rather than broken up. Various kinds of MTA
 cruft such as dates and message-IDs are discarded so as not to bloat
 the word lists.
 .
 This package provides the bdb database backend.

Package: bogofilter-sqlite
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
Provides: bogofilter-db
Description: a fast Bayesian spam filter (sqlite)
 This package implements a fast Bayesian spam filter along the lines suggested
 by Paul Graham in his article "A Plan For Spam".
 .
 This version substantially improves on Paul's proposal by doing smarter
 lexical analysis.  In particular, hostnames and IP addresses are retained
 as recognition features rather than broken up. Various kinds of MTA
 cruft such as dates and message-IDs are discarded so as not to bloat
 the word lists.
 .
 This package provides the sqlite database backend.

Package: bogofilter-tokyocabinet
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
Provides: bogofilter-db
Description: a fast Bayesian spam filter (tokyocabinet)
 This package implements a fast Bayesian spam filter along the lines suggested
 by Paul Graham in his article "A Plan For Spam".
 .
 This version substantially improves on Paul's proposal by doing smarter
 lexical analysis.  In particular, hostnames and IP addresses are retained
 as recognition features rather than broken up. Various kinds of MTA
 cruft such as dates and message-IDs are discarded so as not to bloat
 the word lists.
 .
 This package provides the tokyocabinet backend.

Package: bogofilter-common
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base
Replaces: bogofilter (<< 0.94.14-1)
Description: a fast Bayesian spam filter (common files)
 This package implements a fast Bayesian spam filter along the lines suggested
 by Paul Graham in his article "A Plan For Spam".
 .
 This version substantially improves on Paul's proposal by doing smarter
 lexical analysis.  In particular, hostnames and IP addresses are retained
 as recognition features rather than broken up. Various kinds of MTA
 cruft such as dates and message-IDs are discarded so as not to bloat
 the word lists.
 .
 This package provides files that are common for all database backends.
