## bogofilter 1.2.2%2bdfsg1

=== debian/changelog ===
bogofilter (1.2.2+dfsg1-2) unstable; urgency=high

  * Cherry-pick fix and test for CVE-2012-5468 (aka bogofilter-SA-2012-01)
    from upstream release 1.2.3. Setting urgency to high. closes: #695139.

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 04 Dec 2012 20:08:50 +0100

bogofilter (1.2.2+dfsg1-1) unstable; urgency=low

  * Rebuild with repackaged source to exclude non-DFSG-free licensed security
    advisories (this only affects the source package, as the files were not
    included in the binaries). closes: #645825.
  * Add debian/README.source to document the above-described modification to
    the upstream tarball
  * Add debhelper token to all maintainer scripts
  * Add debian/rules targets build-arch and build-indep
  * debian/copyright: list non-DFSG-free files that were removed in repackaged
    source, and change my email address to the debian one

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 27 Nov 2011 15:28:05 +0100

bogofilter (1.2.2-3) unstable; urgency=low

  * bdb backend:
      - build with libdb5.1 and update Suggests to db5.1-util
        closes: #621406.
      - add NEWS.Debian entry to advise users that have enabled bdb
        transactions, on upgrade steps
  * Add Vcs-* fields to debian/control.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Drop indefinite article from package short descriptions

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 09 Apr 2011 21:04:24 +0200
