## bogofilter 1.2.2+dfsg1

=== debian/changelog ===
bogofilter (1.2.2+dfsg1-1ubuntu0.12.04.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via heap corruption
    - debian/patches/CVE-2012-5468.patch: properly check outbytesleft, add
      tests in src/iconvert.c, src/tests/t.crash-invalid-base64,
      src/test/Makefile.*.
    - CVE-2012-5468

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Dec 2012 09:48:05 -0500
