=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 7), libdb-dev (>= 4.6.19), libgsl0-dev, libsqlite3-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), libdb-dev (>= 4.6.19), libgsl0-dev, libsqlite3-dev, libtokyocabinet-dev
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/collab-maint/bogofilter.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/bogofilter.git
 
 Package: bogofilter
 Architecture: any
 Depends: ${misc:Depends}, bogofilter-common, bogofilter-bdb | bogofilter-db
-Description: a fast Bayesian spam filter (dummy package)
+Description: fast Bayesian spam filter (dummy package)
  This package implements a fast Bayesian spam filter along the lines suggested
  by Paul Graham in his article "A Plan For Spam".
  .
@@ -22,10 +24,10 @@
 Package: bogofilter-bdb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
-Suggests: db4.8-util
+Suggests: db5.1-util
 Provides: bogofilter-db
 Replaces: bogofilter (<< 0.94.14-1)
-Description: a fast Bayesian spam filter (Berkeley DB)
+Description: fast Bayesian spam filter (Berkeley DB)
  This package implements a fast Bayesian spam filter along the lines suggested
  by Paul Graham in his article "A Plan For Spam".
  .
@@ -42,7 +44,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
 Provides: bogofilter-db
-Description: a fast Bayesian spam filter (sqlite)
+Description: fast Bayesian spam filter (sqlite)
  This package implements a fast Bayesian spam filter along the lines suggested
  by Paul Graham in his article "A Plan For Spam".
  .
@@ -59,7 +61,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
 Provides: bogofilter-db
-Description: a fast Bayesian spam filter (tokyocabinet)
+Description: fast Bayesian spam filter (tokyocabinet)
  This package implements a fast Bayesian spam filter along the lines suggested
  by Paul Graham in his article "A Plan For Spam".
  .
@@ -76,7 +78,7 @@
 Depends: ${misc:Depends}
 Suggests: doc-base
 Replaces: bogofilter (<< 0.94.14-1)
-Description: a fast Bayesian spam filter (common files)
+Description: fast Bayesian spam filter (common files)
  This package implements a fast Bayesian spam filter along the lines suggested
  by Paul Graham in his article "A Plan For Spam".
  .
