=== debian/rules ===
--- 
+++ 
@@ -115,5 +115,10 @@
 	dh_md5sums
 	dh_builddeb
 
+# TODO: fix Package builds NAME_all.deb when binary-indep target is not called
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
