=== debian/watch ===
version=3
http://sf.net/bogofilter/ bogofilter-([\d.]*).tar.gz debian uupdate
