## bogofilter 1.2.4+dfsg1

=== debian/changelog ===
bogofilter (1.2.4+dfsg1-4build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 12:57:16 -0500

bogofilter (1.2.4+dfsg1-4) unstable; urgency=low

  * Orphan package.
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Thanks to Bas Couwenberg <sebastic@debian.org> for the patch
    (closes: #807187).
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 06 Dec 2015 21:32:17 +0000

bogofilter (1.2.4+dfsg1-3) unstable; urgency=medium

  * Update config.guess to build on hurd-i386 (Closes: #729192). Thanks to
    Samuel Thibault <sthibault@debian.org> for the patch.
  * Bump Standards-Version to 3.9.5 (no changes).
  * bdb backend:
      - build with libdb5.3 and update Suggests to db5.3-util
      - add NEWS.Debian entry to advise users that have enabled bdb
        transactions, on upgrade steps

 -- Serafeim Zanikolas <sez@debian.org>  Thu, 08 May 2014 20:31:19 +0100

bogofilter (1.2.4+dfsg1-2) unstable; urgency=low

  * Fix binary-arch-produces-all lintian error, ie. make the debian/rules
    binary-arch target not build Architecture: all packages.
  * Make the bogofilter dummy package Architecture: all.
  * Rename bogofilter-faq-bg.xhtml .html, to not confuse doc-base tools.

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 12 Aug 2013 17:22:54 +0100

bogofilter (1.2.4+dfsg1-1) unstable; urgency=low

  * New Upstream Version
    * Add bogofilter-SA-2012-01 to the list of non-DFSG licensed files in
      debian/copyright, that are removed in the repackaged upstream tarball.
    * Drop debian/patches/sa-2012-01-fix.diff (it's included in new upstream)
    * Add debian/bogofilter-common.doc-base.bogofilter-faq-bg and
      register it to debian/bogofilter-common.docs
  * Bump Standards-Version to 3.9.4
    * debian/copyright: drop Debian maintainer info
  * Fix doc-base key for bogofilter-common.doc-base.bogofilter-faq-fr

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 11 Aug 2013 22:15:20 +0100

bogofilter (1.2.2+dfsg1-3) unstable; urgency=low

  * Build with security hardening enabled.
  * debian/rules: fix the binary target by making the binary-arch target
    depend on the build target
  * Update debian/watch to mangle Debian version. closes: #665340.

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 09 Dec 2012 14:01:25 +0100
