=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: bogofilter
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Serafeim Zanikolas <sez@debian.org>
-Build-Depends: debhelper (>= 7), libdb-dev (>= 4.6.19), libgsl0-dev, libsqlite3-dev, libtokyocabinet-dev
-Standards-Version: 3.9.2
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 7), libdb-dev (>= 4.6.19), libgsl-dev, libsqlite3-dev, libtokyocabinet-dev, autotools-dev, libtrio-dev
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/collab-maint/bogofilter.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/bogofilter.git
 
 Package: bogofilter
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}, bogofilter-common, bogofilter-bdb | bogofilter-db
 Description: fast Bayesian spam filter (dummy package)
  This package implements a fast Bayesian spam filter along the lines suggested
@@ -24,7 +23,7 @@
 Package: bogofilter-bdb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
-Suggests: db5.1-util
+Suggests: db5.3-util
 Provides: bogofilter-db
 Replaces: bogofilter (<< 0.94.14-1)
 Description: fast Bayesian spam filter (Berkeley DB)
