=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
    http://sf.net/bogofilter/ bogofilter-([\d.]*).tar.gz debian uupdate
