## bogofilter 1.2.5

=== debian/changelog ===
bogofilter (1.2.5-1) unstable; urgency=high

  * New upstream release. (Closes: #980328)
    - Security announcements have been relicensed under
       a dual-license, with GPLv3+ as second option.
    - Fixes crashes with several emails. (Closes: #733622)
  * Remove the unused build dependency on libtrio-dev.
    (Closes: #746814)

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Feb 2021 12:00:56 +0200

bogofilter (1.2.4+dfsg1-13) unstable; urgency=medium

  * Build without autoreconf for now, it causes test problems.

 -- Adrian Bunk <bunk@debian.org>  Fri, 09 Mar 2018 21:30:08 +0200

bogofilter (1.2.4+dfsg1-12) unstable; urgency=medium

  * Add flex build dependency, required with autoreconf
    that is default with debhelper compat >= 10.

 -- Adrian Bunk <bunk@debian.org>  Thu, 08 Mar 2018 21:52:44 +0200

bogofilter (1.2.4+dfsg1-11) unstable; urgency=medium

  * Also make bogofilter binary-any, to avoid broken dependencies
    after binNMUs. (Closes: #891911)
  * Disable tests on hurd, to workaround test hangs.
  * debhelper compat 11
  * Priority: extra -> optional

 -- Adrian Bunk <bunk@debian.org>  Thu, 08 Mar 2018 20:38:56 +0200

bogofilter (1.2.4+dfsg1-10) unstable; urgency=medium

  * Make bogofilter-common binary-any, to avoid broken dependencies
    after binNMUs. (Closes: #871694)

 -- Adrian Bunk <bunk@debian.org>  Sun, 13 Aug 2017 18:39:05 +0300

bogofilter (1.2.4+dfsg1-9) unstable; urgency=medium

  * New maintainer. (Closes: #758455)

 -- Adrian Bunk <bunk@debian.org>  Wed, 25 Jan 2017 16:15:21 +0200

bogofilter (1.2.4+dfsg1-8) unstable; urgency=medium

  * QA upload.
  * debian/*.preinst:
      - using dpkg-maintscript-helper. So the file's suffix is .maintscript now.
        Packages affected:
          bogofilter and bogofilter-{bdb, sqlite, tokyocabinet}
        Option used: dir_to_symlink
        (Closes: #832291) Thanks Andreas Beckmann and James Cowgill.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Wed, 14 Sep 2016 14:39:50 -0300

bogofilter (1.2.4+dfsg1-7) unstable; urgency=medium

  * QA upload. (Closes: #832291). Thanks Andreas Beckmann.
  * debian/copyright:
      - updated my email address.
  * debian/control:
      - Pre-Depends: ${misc:Pre-Depends} added  to bogofilter and
       bogofilter-{bdb, sqlite, tokyocabinet}
  * debian/bogofilter.links removed:
      - Not necessary. dh_installdocs is taking care of it.
  * debian/bogofilter.preinst (created):
    debian/bogofilter-bdb.preinst:
    debian/bogofilter-sqlite.preinst:
    debian/bogofilter-tokyocabinet.preinst:
      - using the script from https://wiki.debian.org/MissingCopyrightFile

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Thu, 28 Jul 2016 10:47:54 -0300

bogofilter (1.2.4+dfsg1-6) unstable; urgency=low

  * QA upload.
  * - debian/bogofilter-*.install files created:
        - to copy and rename the executables and configuration files to the
          apropriated packages.
  * debian/*.dirs removed.
  * debian/*.links:
      - lines that make the link to '/usr/share/doc/bogofilter-common'
        removed.
  * debian/control:
      - dh-exec added to Build-Depends.
      - using (= ${source:Version}) for 'binnmuable-any-depends-all'
  * debian/rules:
      - extra 'export' from DEB_BUILD_MAINT_OPTIONS removed.
      - lines that copy and rename executables and configuration files
        removed.
      - override_dh_link removed.
      - using 'dh_installdocs --link-doc'

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sun, 15 May 2016 10:38:00 -0300

bogofilter (1.2.4+dfsg1-5) unstable; urgency=low

  * QA upload.
  * Updated the DH level from 7 to 9.
  * debian/*.links:
      - link to '/usr/share/doc/bogofilter-common added.
      - link to '/usr/share/man/man1/bogofilter.1.gz' added.
  * debian/*.NEWS:
      - Fixed a spelling error (and and).
      - Removed all '*' from the beginning of a phrase.
      - Removed all '-' from the beginning of a phrase.
  * debian/bogofilter-common.docs:
      - added:
          - doc/README.db.
          - doc/README.sqlite.
  * debian/bogofilter-bdb.docs removed.
  * debian/bogofilter-sqlite.docs removed.
  * debian/control:
      - Build-Depends:
          - debhelper >= 9.
      - Bump Standards-Version to 3.9.8.
      - Homepage field added.
      - Vcs* with new format. (https)
  * debian/copyright:
      - rewritten to format 1.0.
      - updated.
  * debian/patches:
      - created: (Closes: #815866)
          - t_bulkmode-nogrep.patch
          - t_dump_load-nogrep.patch
          - t_nonascii_replace-nogrep.patch
  * debian/rules:
      - rewritten to the new format.
      - hardening added.
  * debian/watch:
      - version 4.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sun, 08 May 2016 10:17:16 -0300
