=== debian/control ===
--- 
+++ 
@@ -1,16 +1,22 @@
 Source: bogofilter
 Section: mail
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7), libdb-dev (>= 4.6.19), libgsl-dev, libsqlite3-dev, libtokyocabinet-dev, autotools-dev, libtrio-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/collab-maint/bogofilter.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/bogofilter.git
+Maintainer: Adrian Bunk <bunk@debian.org>
+Build-Depends: debhelper (>= 11),
+               dh-exec,
+               flex,
+               libdb-dev (>= 4.6.19),
+               libgsl-dev,
+               libsqlite3-dev,
+               libtokyocabinet-dev,
+Standards-Version: 3.9.8
+Homepage: http://bogofilter.sourceforge.net/
 
 Package: bogofilter
-Architecture: all
-Depends: ${misc:Depends}, bogofilter-common, bogofilter-bdb | bogofilter-db
-Description: fast Bayesian spam filter (dummy package)
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: bogofilter-bdb | bogofilter-db, bogofilter-common, ${misc:Depends}
+Description: fast Bayesian spam filter (meta package)
  This package implements a fast Bayesian spam filter along the lines suggested
  by Paul Graham in his article "A Plan For Spam".
  .
@@ -22,7 +28,10 @@
 
 Package: bogofilter-bdb
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
+Pre-Depends: ${misc:Pre-Depends}
+Depends: bogofilter-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: db5.3-util
 Provides: bogofilter-db
 Replaces: bogofilter (<< 0.94.14-1)
@@ -39,9 +48,12 @@
  This package provides the bdb database backend.
 
 Package: bogofilter-sqlite
-Priority: extra
+Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
+Pre-Depends: ${misc:Pre-Depends}
+Depends: bogofilter-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: bogofilter-db
 Description: fast Bayesian spam filter (sqlite)
  This package implements a fast Bayesian spam filter along the lines suggested
@@ -56,9 +68,12 @@
  This package provides the sqlite database backend.
 
 Package: bogofilter-tokyocabinet
-Priority: extra
+Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, bogofilter-common
+Pre-Depends: ${misc:Pre-Depends}
+Depends: bogofilter-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: bogofilter-db
 Description: fast Bayesian spam filter (tokyocabinet)
  This package implements a fast Bayesian spam filter along the lines suggested
@@ -73,7 +88,7 @@
  This package provides the tokyocabinet backend.
 
 Package: bogofilter-common
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends}
 Suggests: doc-base
 Replaces: bogofilter (<< 0.94.14-1)
